当页导航

WebSphere8.0.0.0通过imcl升级到8.0.0.9选不到升级包

WebSphere8.0.0.0通过imcl升级到8.0.0.9选不到升级包通过./imcl -c启动控制台。操作如下:=====> IBM Installation ManagerSelect:       1. Install - Install software packages       2. Update - Find and install update...显示全部

WebSphere8.0.0.0通过imcl升级到8.0.0.9选不到升级包

通过./imcl -c启动控制台。操作如下:

=====> IBM Installation Manager

Select:

       1. Install - Install software packages

       2. Update - Find and install updates and fixes to the installed packages

       3. Modify - Change installed software packages

       4. Roll Back - Revert to an earlier version of the installed software packages

       5. Uninstall - Remove the installed software packages

Other Options:

       L. View Logs

       S. View Installation History

       V. View Installed Packages

          ------------------------

       P. Preferences

          ------------------------

       E. Export Data for Problem Analysis

       A. About IBM Installation Manager

          ------------------------

       X. Exit Installation Manager

-----> p

=====> IBM Installation Manager> Preferences

Select:

       1. Repositories

       2. Appearance

       3. Files for Rollback

       4. SSL/TLS

       5. HTTP/FTP Proxy

       6. Passport Advantage

       7. Updates

       C. Cancel

-----> 1

=====> IBM Installation Manager> Preferences> Repositories

Repositories:

       1. [X] /apps01/soft/update/part1/repository.config

Options:

       D. Add repository

       R. Restore Defaults

       A. Apply Changes and Return to Preferences Menu

       P. Temporarily Keep Changes and Return to Preferences Menu


能选择到存储库文件,但进行升级的时候,一直报没有可用的升级包:

=====> IBM Installation Manager> Update

There are no installed packages to update.

       C. Cancel

收起
希望获得:具体解决, 原理分析, 通用方法

2回答

k88766k88766系统工程师 , 无无无无无
应该是不支持这种方式的吧。。安装的时候也不行呀。。可以用下面这个升级,,替换was目录,和补丁的路径。./imcl updateAll -installationDirectory /usr/IBM/WebSphere/AppServer/ -repositories /fixs/ -acceptLicense -showProgress...显示全部

应该是不支持这种方式的吧。。安装的时候也不行呀。。

可以用下面这个升级,,替换was目录,和补丁的路径。

./imcl updateAll -installationDirectory /usr/IBM/WebSphere/AppServer/ -repositories /fixs/ -acceptLicense -showProgress

收起
 2017-04-11
  • Jerry_yuanJerry_yuan(提问者)
    按照你的方法试了下,有报错。如下: {IM install directory}/tools/imcl: Problem in command line: -toolId imcl -accessRights nonAdmin -silent updateAll -installationDirectory /apps01/WebSphere/AppServer/ -repositories /apps01/soft/update/part1/ -acceptLicense -showProgress Command "-installationDirectory" must be used with: One of the following command(s): install uninstall uninstallAll input Use "help" command for information about available commands.
    2017-04-11
  • k88766k88766(答主) 回复 Jerry_yuan(提问者)
    ./imcl listInstallationDirectories 跑这个看看,如果是/apps01/WebSphere/AppServer/这个一样的话,命令上不要这个参数试试。./imcl updateAll -repositories /apps01/soft/update/part1/ -acceptLicense -showProgress
    2017-04-11
  • Jerry_yuanJerry_yuan(提问者) 回复 k88766(答主)
    Unrecognized command line argument "-listInstallationDirectories".
    2017-04-11
  • k88766k88766(答主) 回复 Jerry_yuan(提问者)
    没有-哦。。。我那些命令你都是按我写的执行的吗??不然会报错的呀。最好能截图看看你的执行记录咯,发个./imcl -help updateAll 出来看看?
    2017-04-11
  • Jerry_yuanJerry_yuan(提问者) 回复 k88766(答主)
    updateAll, -updateAll Silently update all installed packages. -properties <key1>=<val1>(,<key2=val2>,...) Properties needed for package installation. -repositories <repository>(,<repository2>...) Specify repositories to be used. Use this command only in silent mode to update all installed packages. This command can not be combined with the following commands: input, -input <script file> install <packageId(_Version)(,featureN,featureM,...)>... installAll, -installAll uninstall <packageId(_Version)(,featureN,featureM,...)>... uninstallAll
    2017-04-11
YuLiminYuLimin软件开发工程师 , IBM广州
A. Apply Changes and Return to Preferences Menu按A了没有?然后再去检查一下存储库确认有了,然后再去安装显示全部

A. Apply Changes and Return to Preferences Menu

按A了没有?然后再去检查一下存储库确认有了,然后再去安装

收起
 2017-04-28

撰写回答

提问者

Jerry_yuan系统运维工程师, 互联网服务
发布4
回答3

请稍候...